import { createStore, createStoreRoot, createModelHook } from '@zjxpcyc/react-tiny-store'
import phone from './models/phone'
import person from './models/person'

const store = createStore()
const models = {
  phone,
  person
}

const useModel = createModelHook(store)
const StoreRoot = createStoreRoot(store, models)

export default store
export {
  useModel,
  StoreRoot,
}
